Page MenuHomePhabricator

copies-rust: use matching to select the final copies information
ClosedPublic

Authored by marmoute on Dec 21 2020, 5:28 PM.

Details

Summary

This is a bit more idiomatic and this prepare a future refactoring where
InternalCopies from both parent would be updated at the same time.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Dec 21 2020, 5:28 PM
marmoute updated this revision to Diff 24486.Dec 22 2020, 9:11 PM
baymax updated this revision to Diff 24497.Dec 22 2020, 9:46 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

SimonSapin accepted this revision.Dec 28 2020, 8:49 AM
SimonSapin added a subscriber: SimonSapin.

These first two match expressions could be calls to Option::map instead, but this is fine.

baymax updated this revision to Diff 24581.Jan 5 2021, 4:07 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

Alphare accepted this revision.Jan 8 2021, 8:31 AM
Alphare added a subscriber: Alphare.

Same comment as Simon, but I suppose this does not live long.

baymax updated this revision to Diff 24672.Jan 8 2021, 6:15 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 25692.Mon, Feb 22, 9:14 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 25751.Mon, Feb 22, 11:21 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 25790.Mon, Feb 22, 5:12 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.